scoreboard players reset #.100 blue.misc
execute as @a[tag=!blue.tr.hasTrim] unless entity @s[tag=!blue.tr.wayfinder,tag=!blue.tr.silence,tag=!blue.tr.shaper,tag=!blue.tr.raiser,tag=!blue.tr.sentry,tag=!blue.tr.flow,tag=!blue.tr.bolt,tag=!blue.tr.spire,tag=!blue.tr.coast,tag=!blue.tr.snout,tag=!blue.tr.ward,tag=!blue.tr.dune,tag=!blue.tr.wild,tag=!blue.tr.tide,tag=!blue.tr.host,tag=!blue.tr.eye,tag=!blue.tr.rib,tag=!blue.tr.vex] run tag @s add blue.tr.hasTrim
execute as @a[scores={blue.tr.transferTime=0..}] unless score @s blue.tr.transferLink matches 1.. run function blue:tr/core/transfer/forget
execute as @a[scores={blue.tr.transferLink=1..}] run function blue:tr/core/transfer/timer
scoreboard players add #.15s blue.misc 1
execute unless score #.15s blue.misc matches 3.. run return fail
scoreboard players reset #.15s blue.misc
execute as @e[type=item,tag=blue.tr.return] run function blue:tr/core/item/return
execute as @a[advancements={minecraft:adventure/adventuring_time=true,blue:tr/endstructures=true,blue:tr/allstructures=false}] at @s run function blue:tr/completion/wayfinder/all
tag @a[tag=blue.tr.hasTrim,tag=!blue.tr.wayfinder,tag=!blue.tr.silence,tag=!blue.tr.shaper,tag=!blue.tr.raiser,tag=!blue.tr.sentry,tag=!blue.tr.spire,tag=!blue.tr.coast,tag=!blue.tr.snout,tag=!blue.tr.ward,tag=!blue.tr.dune,tag=!blue.tr.wild,tag=!blue.tr.tide,tag=!blue.tr.host,tag=!blue.tr.eye,tag=!blue.tr.rib,tag=!blue.tr.vex] remove blue.tr.hasTrim
execute if score #.spireGravity blue.misc matches 1.. run function blue:tr/core/effects/spire/checkremove
execute if score #.silenceSilent blue.misc matches 1.. run function blue:tr/core/effects/silence/checkremove
execute if score #.wayfinderClear blue.misc matches 1.. as @a[tag=blue.tr.wayfinder,limit=1] at @s run function blue:tr/core/delayed/trims/wayfinder
execute if score #.silenceClear blue.misc matches 1.. as @a[tag=blue.tr.silence,limit=1] at @s run function blue:tr/core/delayed/trims/silence
execute if score #.shaperClear blue.misc matches 1.. as @a[tag=blue.tr.shaper,limit=1] at @s run function blue:tr/core/delayed/trims/shaper
execute if score #.raiserClear blue.misc matches 1.. as @a[tag=blue.tr.raiser,limit=1] at @s run function blue:tr/core/delayed/trims/raiser
execute if score #.sentryClear blue.misc matches 1.. as @a[tag=blue.tr.sentry,limit=1] at @s run function blue:tr/core/delayed/trims/sentry
execute if score #.spireClear blue.misc matches 1.. as @a[tag=blue.tr.spire,limit=1] at @s run function blue:tr/core/delayed/trims/spire
execute if score #.coastClear blue.misc matches 1.. as @a[tag=blue.tr.coast,limit=1] at @s run function blue:tr/core/delayed/trims/coast
execute if score #.snoutClear blue.misc matches 1.. as @a[tag=blue.tr.snout,limit=1] at @s run function blue:tr/core/delayed/trims/snout
execute if score #.wardClear blue.misc matches 1.. as @a[tag=blue.tr.ward,limit=1] at @s run function blue:tr/core/delayed/trims/ward
execute if score #.boltClear blue.misc matches 1.. as @a[tag=blue.tr.bolt,limit=1] at @s run function blue:tr/core/delayed/trims/bolt
execute if score #.flowClear blue.misc matches 1.. as @a[tag=blue.tr.flow,limit=1] at @s run function blue:tr/core/delayed/trims/flow
execute if score #.duneClear blue.misc matches 1.. as @a[tag=blue.tr.dune,limit=1] at @s run function blue:tr/core/delayed/trims/dune
execute if score #.wildClear blue.misc matches 1.. as @a[tag=blue.tr.wild,limit=1] at @s run function blue:tr/core/delayed/trims/wild
execute if score #.tideClear blue.misc matches 1.. as @a[tag=blue.tr.tide,limit=1] at @s run function blue:tr/core/delayed/trims/tide
execute if score #.hostClear blue.misc matches 1.. as @a[tag=blue.tr.host,limit=1] at @s run function blue:tr/core/delayed/trims/host
execute if score #.eyeClear blue.misc matches 1.. as @a[tag=blue.tr.eye,limit=1] at @s run function blue:tr/core/delayed/trims/eye
execute if score #.ribClear blue.misc matches 1.. as @a[tag=blue.tr.rib,limit=1] at @s run function blue:tr/core/delayed/trims/rib
execute if score #.vexClear blue.misc matches 1.. as @a[tag=blue.tr.vex,limit=1] at @s run function blue:tr/core/delayed/trims/vex
advancement revoke @a[advancements={blue:tr/actual/general/setwarp=true},tag=!blue.tr.mats.star] only blue:tr/actual/general/setwarp
tag @a[tag=blue.tr.ignoreDeath] remove blue.tr.ignoreDeath
tag @a[tag=blue.tr.transferCD] remove blue.tr.transferCD
tag @a[tag=blue.tr.coast.fish] remove blue.tr.coast.fish
tag @a[tag=blue.tr.wild.cd] remove blue.tr.wild.cd
tag @a[tag=blue.tr.vex.antiSteal] remove blue.tr.vex.antiSteal
scoreboard players reset @a blue.tr.fish
scoreboard players add #.30s blue.misc 1
execute unless score #.30s blue.misc matches 2.. run return fail
scoreboard players reset #.30s blue.misc
scoreboard players reset @a[scores={TrimCMDs.BLUE=..-1}] TrimCMDs.BLUE
scoreboard players enable @a TrimCMDs.BLUE
execute as @a unless score @s blue.tr.nameStored matches 1 run function blue:tr/core/delayed/name/check
scoreboard players add #.TrimsBypass wt_trades 1
execute if score #.TrimsBypass wt_trades matches 1 as @e[type=wandering_trader,tag=has_new_trim_trades,tag=success,tag=!blue.trimsBypass] run function blue:tr/core/compat/traders
execute if score #.dragon blue.tr.completed matches 1 run advancement grant @a[advancements={blue:tr/actual/egg=false}] only blue:tr/actual/egg
execute if score #.wayfinder blue.tr.completed matches 1..2 run advancement grant @a[advancements={blue:tr/actual/wayfinder=false}] only blue:tr/actual/wayfinder
execute if score #.silence blue.tr.completed matches 1..2 run advancement grant @a[advancements={blue:tr/actual/silence=false}] only blue:tr/actual/silence
execute if score #.shaper blue.tr.completed matches 1..2 run advancement grant @a[advancements={blue:tr/actual/shaper=false}] only blue:tr/actual/shaper
execute if score #.raiser blue.tr.completed matches 1..2 run advancement grant @a[advancements={blue:tr/actual/raiser=false}] only blue:tr/actual/raiser
execute if score #.sentry blue.tr.completed matches 1..2 run advancement grant @a[advancements={blue:tr/actual/sentry=false}] only blue:tr/actual/sentry
execute if score #.spire blue.tr.completed matches 1..2 run advancement grant @a[advancements={blue:tr/actual/spire=false}] only blue:tr/actual/spire
execute if score #.coast blue.tr.completed matches 1..2 run advancement grant @a[advancements={blue:tr/actual/coast=false}] only blue:tr/actual/coast
execute if score #.snout blue.tr.completed matches 1..2 run advancement grant @a[advancements={blue:tr/actual/snout=false}] only blue:tr/actual/snout
execute if score #.ward blue.tr.completed matches 1..2 run advancement grant @a[advancements={blue:tr/actual/ward=false}] only blue:tr/actual/ward
execute if score #.bolt blue.tr.completed matches 1..2 run advancement grant @a[advancements={blue:tr/actual/bolt=false}] only blue:tr/actual/bolt
execute if score #.flow blue.tr.completed matches 1..2 run advancement grant @a[advancements={blue:tr/actual/flow=false}] only blue:tr/actual/flow
execute if score #.dune blue.tr.completed matches 1..2 run advancement grant @a[advancements={blue:tr/actual/dune=false}] only blue:tr/actual/dune
execute if score #.wild blue.tr.completed matches 1..2 run advancement grant @a[advancements={blue:tr/actual/wild=false}] only blue:tr/actual/wild
execute if score #.tide blue.tr.completed matches 1..2 run advancement grant @a[advancements={blue:tr/actual/tide=false}] only blue:tr/actual/tide
execute if score #.host blue.tr.completed matches 1..2 run advancement grant @a[advancements={blue:tr/actual/host=false}] only blue:tr/actual/host
execute if score #.eye blue.tr.completed matches 1..2 run advancement grant @a[advancements={blue:tr/actual/eye=false}] only blue:tr/actual/eye
execute if score #.rib blue.tr.completed matches 1..2 run advancement grant @a[advancements={blue:tr/actual/rib=false}] only blue:tr/actual/rib
execute if score #.vex blue.tr.completed matches 1..2 run advancement grant @a[advancements={blue:tr/actual/vex=false}] only blue:tr/actual/vex
execute if score #.wayfinder blue.tr.completed matches 0 run advancement revoke @a[advancements={blue:tr/actual/wayfinder=true}] only blue:tr/actual/wayfinder
execute if score #.silence blue.tr.completed matches 0 run advancement revoke @a[advancements={blue:tr/actual/silence=true}] only blue:tr/actual/silence
execute if score #.shaper blue.tr.completed matches 0 run advancement revoke @a[advancements={blue:tr/actual/shaper=true}] only blue:tr/actual/shaper
execute if score #.raiser blue.tr.completed matches 0 run advancement revoke @a[advancements={blue:tr/actual/raiser=true}] only blue:tr/actual/raiser
execute if score #.sentry blue.tr.completed matches 0 run advancement revoke @a[advancements={blue:tr/actual/sentry=true}] only blue:tr/actual/sentry
execute if score #.spire blue.tr.completed matches 0 run advancement revoke @a[advancements={blue:tr/actual/spire=true}] only blue:tr/actual/spire
execute if score #.coast blue.tr.completed matches 0 run advancement revoke @a[advancements={blue:tr/actual/coast=true}] only blue:tr/actual/coast
execute if score #.snout blue.tr.completed matches 0 run advancement revoke @a[advancements={blue:tr/actual/snout=true}] only blue:tr/actual/snout
execute if score #.ward blue.tr.completed matches 0 run advancement revoke @a[advancements={blue:tr/actual/ward=true}] only blue:tr/actual/ward
execute if score #.bolt blue.tr.completed matches 0 run advancement revoke @a[advancements={blue:tr/actual/bolt=true}] only blue:tr/actual/bolt
execute if score #.flow blue.tr.completed matches 0 run advancement revoke @a[advancements={blue:tr/actual/flow=true}] only blue:tr/actual/flow
execute if score #.dune blue.tr.completed matches 0 run advancement revoke @a[advancements={blue:tr/actual/dune=true}] only blue:tr/actual/dune
execute if score #.wild blue.tr.completed matches 0 run advancement revoke @a[advancements={blue:tr/actual/wild=true}] only blue:tr/actual/wild
execute if score #.tide blue.tr.completed matches 0 run advancement revoke @a[advancements={blue:tr/actual/tide=true}] only blue:tr/actual/tide
execute if score #.host blue.tr.completed matches 0 run advancement revoke @a[advancements={blue:tr/actual/host=true}] only blue:tr/actual/host
execute if score #.eye blue.tr.completed matches 0 run advancement revoke @a[advancements={blue:tr/actual/eye=true}] only blue:tr/actual/eye
execute if score #.rib blue.tr.completed matches 0 run advancement revoke @a[advancements={blue:tr/actual/rib=true}] only blue:tr/actual/rib
execute if score #.vex blue.tr.completed matches 0 run advancement revoke @a[advancements={blue:tr/actual/vex=true}] only blue:tr/actual/vex
execute if score #.dragon blue.tr.completed matches 0 run advancement revoke @a[advancements={blue:tr/actual/egg=true}] only blue:tr/actual/egg
execute if score #.silence blue.tr.completed matches 0 run advancement revoke @a[advancements={blue:tr/warden=true}] only blue:tr/warden
execute if score #.shaper blue.tr.completed matches 0 run advancement revoke @a[advancements={blue:tr/explosion=true}] only blue:tr/explosion
execute if score #.raiser blue.tr.completed matches 0 run advancement revoke @a[advancements={blue:tr/enchant=true}] only blue:tr/enchant
execute if score #.sentry blue.tr.completed matches 0 run advancement revoke @a[advancements={blue:tr/killvill=true}] only blue:tr/killvill
execute if score #.sentry blue.tr.completed matches 0 run advancement revoke @a[advancements={blue:tr/trade=true}] only blue:tr/trade
execute if score #.sentry blue.tr.completed matches 0 run advancement revoke @a[advancements={blue:tr/raid=true}] only blue:tr/raid
execute if score #.spire blue.tr.completed matches 0 run advancement revoke @a[advancements={blue:tr/stoplevitate=true}] only blue:tr/stoplevitate
execute if score #.spire blue.tr.completed matches 0 run advancement revoke @a[advancements={blue:tr/levitate=true}] only blue:tr/levitate
execute if score #.coast blue.tr.completed matches 0 run advancement revoke @a[advancements={blue:tr/fish=true}] only blue:tr/fish
execute if score #.snout blue.tr.completed matches 0 run advancement revoke @a[advancements={blue:tr/barter=true}] only blue:tr/barter
execute if score #.snout blue.tr.completed matches 0 run advancement revoke @a[advancements={blue:tr/piglins=true}] only blue:tr/piglins
execute if score #.ward blue.tr.completed matches 0 run advancement revoke @a[advancements={blue:tr/vibration=true}] only blue:tr/vibration
execute if score #.dune blue.tr.completed matches 0 run advancement revoke @a[advancements={blue:tr/desert=true}] only blue:tr/desert
execute if score #.wild blue.tr.completed matches 0 run advancement revoke @a[advancements={blue:tr/tame=true}] only blue:tr/tame
execute if score #.wild blue.tr.completed matches 0 run advancement revoke @a[advancements={blue:tr/breed=true}] only blue:tr/breed
execute if score #.eye blue.tr.completed matches 0 run advancement revoke @a[advancements={blue:tr/silverfish=true}] only blue:tr/silverfish
execute if score #.vex blue.tr.completed matches 0 run advancement revoke @a[advancements={blue:tr/player=true}] only blue:tr/player
execute if score #.vex blue.tr.completed matches 0 run advancement revoke @a[advancements={blue:tr/totem=true}] only blue:tr/totem
execute as 001e86d8-0000-080c-0000-080c00030f98 run kill @s[type=!marker]
summon minecraft:marker 0. 0 0. {UUID:[I;2000600,2060,2060,200600]}
execute at @a unless loaded 8 100 8 run forceload add 8 8
tag @a[tag=blue.tr.ignoreKill] remove blue.tr.ignoreKill
tag @a[tag=blue.tr.RTDCD] remove blue.tr.RTDCD
scoreboard players add #.90s blue.misc 1
execute unless score #.90s blue.misc matches 3.. run return 0
scoreboard players reset #.90s blue.misc
scoreboard players reset #.vexCooldown blue.misc
execute as @a run function blue:tr/core/delayed/remove